<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("agg" . "reg" . "ati" . "on" => base64_decode("YWdncmVnYXRp" . "b24="), "_ead9f7746c5d5e2801ce57048" . "37fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ" . "3JlZ2F0aW9uIEFORCA="), "_07afa3e4c6840a90ca78db3521d" . "fbe2b" => base64_decode("c3RkQ2" . "xhc3M="), "_d9e86995f0bc6219b3823d842232615" . "3" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB" . "1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbi" . "BBTkQg"), "user_i" . "d" => base64_decode("dXNlcl9p" . "ZA=="), "_0f939e9a0c1b1752" . "7bce221f42ee827e" => base64_decode("IEdST1VQIEJ" . "ZIHVzZXJfaW" . "QpIHQ="), "_79a5c6862da55a81bbba54a4e91b2e" . "61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1" . "bmlxdWVfb2JqZWN0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "_c5aeb46d4987229cd" . "0033323a7f86836" => base64_decode("b2JqZWN0cw=" . "="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d9e86995f0bc6219b3823d84223" . "26153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_79a5c6862da55a81bbba54a4e" . "91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["aggregatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["use" . "r_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c5aeb46d4987229cd0033323a" . "7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_ead9f7746c5d" . "5e2801ce57048" . "37fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0f939e9a0c" . "1b17527bce2" . "21f42ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_07afa3e4c6840a90" . "ca78db3521dfbe2b"];
    }
}